Page MenuHomePhabricator

[Task] Enable start/stop using mouse (Wikispeech)
Closed, ResolvedPublic1 Story Points

Description

Start and stop functions for recital of the whole text from the start of the article with a mouse click on the playback button.
License: MIT/GPL
Existing: Yes, https://github.com/westonruter/html5-audio-read-along
To do: Define a specific playback button for use on Wikipedia. Javascript to send the text to the Wikispeech API, insert the returned sound file and time markers in the HTML-dom.

Identified as a component during the pilot study.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikispeech : masterStart and stop recitation with mouse

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 12:01 PM
Jopparn renamed this task from [Task] Enable start/stop using mouse to [Task] Enable start/stop using mouse (Wikispeech).Apr 28 2016, 6:45 AM
Jopparn set the point value for this task to 4.
Lokal_Profil changed the point value for this task from 4 to 2.Jul 4 2016, 8:47 AM

Worked on in: Sprint 2016-06-13:

  • Investigated how to fetch and playback media
  • Integrate javascript into extension

To do in: Sprint 2016-06-29:

  • Remainder
Sebastian_Berlin-WMSE changed the point value for this task from 2 to 1.Jul 12 2016, 12:26 PM

Worked on in: Sprint 2016-06-29:

  • Largely implemented

To do in: Sprint 2016-07-13:

  • Finish implementing and clean up code
  • Investigate where settings are defined in extensions, for TTS-server URL.
  • Review

Change 300245 had a related patch set uploaded (by Sebastian Berlin (WMSE)):
Start and stop recitation with mouse

https://gerrit.wikimedia.org/r/300245

The timestamps aren't handled, since they're not needed for this.

Lokal_Profil changed the point value for this task from 1 to 2.Aug 10 2016, 9:49 AM

Worked on in: 2016-07-13:

  • Finish implementing and clean up code
  • Code review

To do in: Sprint 2016-08-10:

  • minor polish
  • unit tests for JS
  • sanitizing text before outputting in utterance tags
Lokal_Profil changed the point value for this task from 2 to 1.

Worked on in: 2016-08-10:

  • Unit tests implemented
  • Code partially rewritten
  • Initial review comments implemented

To do in: Sprint 2016-08-24:

  • Review

Worked on in Wikispeech (Sprint 2016-08-24):

  • Second review done
  • Unit tests rebuilt to use Sinon.js
  • Review comments addressed
  • Qunit test activated in CI (41725f3a2bc3)

To do in Wikispeech (Sprint 2016-09-07):

  • Final review

Change 300245 merged by jenkins-bot:
Start and stop recitation with mouse

https://gerrit.wikimedia.org/r/300245